Library problems

by { Devdroid } » Sat, 31 Jul 2010 21:29:55 GMT


Sponsored Links
 Hi,

I tried to build test library and test app howver Eclipse complains on
each reference I made to library classes.
This is what I did:

1. created Test Library Android project, marked it as "Library"
(package name "test.library.lib")
2. created Test App project (package "test.library.app") and set it to
use Test Library
3. Test Library got LibActivity class which simply referes to
lib_main.xml layout
4. I defined that activity in Test App manifest file:

        <activity android:name="test.library.lib.LibActivity"
                  android:label="@string/app_name"
                  android:theme="@android:style/Theme.Dialog"
                                  >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

The problem is that Eclipse now compains "Class
test.library.lib.LibActivity" does not exists".
I also got same problem when I i.e. create a class in Test App that
refers to classes
in library. Import test.library.lib.*; does not help. SDK version is
recent. Target sdk=3 (tried
setting to 8, but made no difference)

What am I doing wrong?

--



Other Threads

1. Error While Downloading Android Development Toolkit in Eclipse

All,
I'm receiving the error message
" Java Persistence API Tools (1.0.0.v200706250000-77--CYQCCz-CoRPCCCH)
requires plug-in "org.eclipse.xsd"."
when I select the Android features to install and Finish in Eclipse.
Does this plugin ring a bell to anyone?

Thanks

--~--~---------~--~----~------------~-------~--~----~

2. android:label

Hi, are we allowed to change android:label of AndroidManifest.xml via
program dynamically?

Thank you so much
--~--~---------~--~----~------------~-------~--~----~

3. Documentation Update

4. BufferedReader.readLine() undocumentedly discards "#!" prefix

5. ContentHandler.startElement(..) and ContentHandler.endElement(..) won't be called in 1.0 rc1

6. Ksoap2 terminology

7. v0.9, TabActivity, communicate between tabs with intents.